import { async, ComponentFixture, TestBed } from '@angular/core/testing';

import { UserDetailsClientsComponent } from './user-details-clients.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { MatDialogModule } from '@angular/material/dialog';
import { MatSnackBarModule } from '@angular/material/snack-bar';

describe('UserDetailsClientsComponent', () => {
  let component: UserDetailsClientsComponent;
  let fixture: ComponentFixture<UserDetailsClientsComponent>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      declarations: [UserDetailsClientsComponent],
      imports: [HttpClientTestingModule, RouterTestingModule, MatDialogModule, MatSnackBarModule, MatDialogModule,]
    })
      .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(UserDetailsClientsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
